# Generating glossary entries for the documented commands


            This file contains generated Dr.Egeria commands to generate glossary term entries describing
            each Dr.Egeria command. 

> Usage: Before executing this file, make sure you have a glossary named `Egeria-Markdown`
> already created. If you Need to create one, you can use the 
# Create Term
## Term Name

Create Business Imperative

## Description

The BusinessImperative entity defines a business goal that is critical to the success of the organization.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Regulation Article

## Description

A RegulationArticle entity is an article in a regulation. Dividing a regulation  simplifies planning and execution.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Threat Definition

## Description

The Threat entity describes a particular threat to the organization's operations that must either be guarded against or accommodated to reduce its impact.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Principle

## Description

The GovernancePrinciple entity defines a policy that describes an end state that the organization aims to achieve. 

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Governance Drivers | False | True | False | None | The drivers this policy is in response to. Drivers may be Business Imperatives, Regulations, Governance Strategy or Threats. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Obligation

## Description

The GovernanceObligation entity defines a policy that describes a requirement that must be met.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Governance Drivers | False | True | False | None | The drivers this policy is in response to. Drivers may be Business Imperatives, Regulations, Governance Strategy or Threats. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Approach

## Description

The GovernanceApproach entity defines a policy that describes a method that should be used for a particular activity.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Governance Drivers | False | True | False | None | The drivers this policy is in response to. Drivers may be Business Imperatives, Regulations, Governance Strategy or Threats. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Processing Purpose

## Description

Privacy regulations such as  (GDPR) require data subjects to agree the processing that is permitted on their data. 

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Strategy

## Description

The strategy used in the development of the governance domains activities. How the governance domain supports the business strategy.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Business Imperatives | False | True | False | None | List of imperitives. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Regulation Definition

## Description

Defines a relevant legal regulation that the business operation must comply with. Often regulations are divided into regulation articles.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Source | False | True | False | None | The source of the regulator. | False |  | 
| Regulators | False | True | False | None | The regulatory authorities responsible for monitoring compliance to regulations. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Rule

## Description

An executable rule that can be deployed at particular points in the operations.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemented. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Service Level Objectives

## Description

Defines the performance, availability and qualitiy levels expected by the element attached.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Process

## Description

An executable process that choreographs different actions.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Responsibility

## Description

A responsiblity assigned to an actor or team. It could be a requirement to take a certain action in specific circumstances or to make decisions or give approvals for actions.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Governance Procedure

## Description

A manual procedure that is performed under certain circumstances.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Security Access Control

## Description

A technical control that defines the access control lists that an actor must belong to be entitled to perform a specific action.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Security Group

## Description

A group of actors that need to be given the same access to a specific set of resources.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Distinguished Name | False | True | False | None | Unique identity of an actor. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Naming Standard Rule

## Description

A standard for naming specific kinds of resources.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Implementation Description | False | True | False | None | Describes how this governance control is implemnted. | False |  | 
| Supports Policies | False | True | False | None | The policies that this governance control supports. | False |  | 
| Name Patterns | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Certification Type

## Description

A type of certification.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Details | False | True | False | None | Details of the certification. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create License Type

## Description

A type of license.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  definition. | False |  | 
| Summary | False | True | False | None | Summary of the definition. | False |  | 
| Description | False | True | False | None | Description of the contents of the definition. | False |  | 
| Domain Identifier | False | True | False | None | Integer representing the governance domain. All domains is 0. | False |  | 
| Document Identifier | False | True | False | None | A user supplied identifier for the governance document. | False |  | 
| Version Identifier | False | True | False | None | Published  version identifier. | False |  | 
| Scope | False | True | False | None | Scope of the definition. | False |  | 
| Importance | False | True | False | None | Importance of the definition. | False |  | 
| Details | False | True | False | None | Details of the license. | False |  | 
| Implications | False | True | False | None | List of implications. | False |  | 
| Outcomes | False | True | False | None | List of desired outcomes. | False |  | 
| Results | False | True | False | None | A list of expected results. | False |  | 
| Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Link Governance Drivers

## Description

Link peer governance drivers with the GovernanceDriverLink relationship. Drivers are: GovernanceStrategy, BusinessImperitive, Regulation, RegulationArticle, Threat.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Definition 1 | True | True | False | None | The  first governance driver to link. | False |  | 
| Definition 2 | True | True | False | None | The  second governance driver to link. | False |  | 
| Link Label | False | True | False | None | Labels the link between two governance defninitions. | False |  | 
| Description | False | True | False | None | A description of the relationship. | False |  | 


___

# Create Term
## Term Name

Link Governance Policies

## Description

Link peer governance policies with the GovernancePolicyLink relationship. Policies types are: GovernancePrinciple, GovernanceObligation, GovernanceApproach.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Definition 1 | True | True | False | None | The  first governance policy to link. | False |  | 
| Definition 2 | True | True | False | None | The  second governance policy to link. | False |  | 
| Link Label | False | True | False | None | Labels the link between two governance defninitions. | False |  | 
| Description | False | True | False | None | A description of the relationship. | False |  | 


___

# Create Term
## Term Name

Link Governance Controls

## Description

Link peer governance controls with the GovernanceControlLink relationship. Controls types are: GovernanceRule, GovernanceProcess, GovernanceResponsibility, GovernanceProcedure, SecurityAccessControl, SecurityGroup.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Control Definition 1 | True | True | False | None | The  first governance control to link. | False |  | 
| Control Definition 2 | True | True | False | None | The  fsecond governance control to link. | False |  | 
| Link Label | False | True | False | None | Labels the link between two governance defninitions. | False |  | 
| Description | False | True | False | None | A description of the relationship. | False |  | 


___

# Create Term
## Term Name

View Governance Definitions

## Description

This can be used to list any kind of governance definitions.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; REPORT; MERMAID; DICT | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 
| Order Property Name | False | True | False | None | The property to use for sorting if the sort_order_property is PROPERTY_ASCENDING or PROPERTY_DESCENDING | False |  | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 


___

# Create Term
## Term Name

Create Digital Product

## Description

A Data Dictionary is an organized and curated collection of data definitions that can serve as a reference for data professionals

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the digital product | False |  | 
| Description | False | True | False | None | Description of the contents of a product. | False |  | 
| Product Name | False | True | False | None | The external name of the digital product. | False |  | 
| Product Status | False | True | False | None | The status of the digital product. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; APPROVED_CONCEPT; UNDER_DEVELOPMENT; DEVELOPMENT_COMPLETE; APPROVED_FOR_DEPLOYMENT; ACTIVE; DISABLED; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Product Type | False | True | False | None | Type of product - periodic, delta, snapshot, etc | False |  | 
| Product Identifier | False | True | False | None | User specified product identifier. | False |  | 
| Product Description | False | True | False | None | Externally facing description of the product and its intended usage. | False |  | 
| Maturity | False | True | False | None | Product maturity - user defined. | False |  | 
| Service Life | False | True | False | None | Estimated service lifetime of the product. | False |  | 
| Introduction Date | False | True | False | None | Date of product introduction in ISO 8601 format. Either all of the dates (introduction, next version, withdrawal) dates need to be supplied or none of them. Otherwise an error will occur. | False |  | 
| Next Version Date | False | True | False | None | Date of  the next version,  in ISO 8601 format. Either all of the dates (introduction, next version, withdrawal) dates need to be supplied or none of them. Otherwise an error will occur. | False |  | 
| Withdrawal Date | False | True | False | None | Date of planned product withdrawal in ISO 8601 format. Either all of the dates (introduction, next version, withdrawal) dates need to be supplied or none of them. Otherwise an error will occur. | False |  | 
| Collection Type | False | True | False | None | A user supplied collection type. Defaults to Digital Product. | False |  | 
| Current Version | False | True | False | None | Published product version identifier. | False |  | 
| Product Manager | False | True | False | None | Actors responsible for managing this product. Actors may be individuals, automations, etc. | False |  | 
| Agreements | False | True | False | None | A list of agreements associated with this product.  The agreements must already exist. | False |  | 
| Digital Subscriptions | False | True | False | None |  | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Link Digital Product - Digital Product

## Description

Link digital product dependency between two digital products.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| DigitalProduct1 | True | True | False | None | The  first product to link. | False |  | 
| DigitalProduct2 | True | True | False | None | The  second product to link. | False |  | 
| Label | False | True | False | None | Labels the link between two digital products. | False |  | 
| Description | False | True | False | None | A description of the link. | False |  | 


___

# Create Term
## Term Name

Create Agreement

## Description

A kind of collection that represents an Agreement. This is for generic agreements. Specific kinds of agreements have their own commands.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  agreement. | False |  | 
| Description | False | True | False | None | Description of the contents of the agreement. | False |  | 
| Agreement Identifier | False | True | False | None | A user specified agreement identifier. | False |  | 
| Agreement Status | False | True | False | None | The status of the agreement. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User Defined Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Version Identifier | False | True | False | None | Published agreement version identifier. | False |  | 
| Agreement Actors | False | True | False | None | A list of actors with responsibilities for the agreement. | False |  | 
| Restrictions | False | True | False | None | A dictionary of property:value pairs describing restrictions. | False |  | 
| Obligations | False | True | False | None | A dictionary of property:value pairs describing obligations. | False |  | 
| Entitlements | False | True | False | None | A dictionary of property:value pairs describing entitlements. | False |  | 
| Usage Measurements | False | True | False | None | A dictionary of property:value pairs describing usage measurements. | False |  | 
| Product Metrics | False | True | False | None | A dictionary of property:value pairs describing metrics for the product/. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Data Sharing Agreement

## Description

Create a new collection with the DataSharingAgreement classification. 

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  agreement. | False |  | 
| Description | False | True | False | None | Description of the contents of the agreement. | False |  | 
| Identifier | False | True | False | None | A user specified agreement identifier. | False |  | 
| Agreement Status | False | True | False | None | The status of the digital product. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User_Defined_Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Version Identifier | False | True | False | None | Published agreement version identifier. | False |  | 
| Product Manager | False | True | False | None | An actor responsible for managing this product. Actors may be individuals, automations, etc. | False |  | 
| Digital Subscriptions | False | True | False | None |  | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create DigitalSubscription

## Description

A type of agreement for a digital subscription.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the  agreement. | False |  | 
| Description | False | True | False | None | Description of the contents of the agreement. | False |  | 
| Identifier | False | True | False | None | A user specified agreement identifier. | False |  | 
| Product Status | False | True | False | None | The status of the digital product. There is a list of valid values that this conforms to. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 
| User_Defined_Status | False | True | False | None | Only valid if Product Status is set to OTHER. User defined & managed status values. | False |  | 
| Support Level | False | True | False | None | Level of support agreed or requested. | False |  | 
| Service Levels | False | True | False | None | A dictionary of name:value pairs describing the service levels. | False |  | 
| Restrictions | False | True | False | None | A dictionary of property:value pairs describing restrictions. | False |  | 
| Obligations | False | True | False | None | A dictionary of property:value pairs describing obligations. | False |  | 
| Entitlements | False | True | False | None | A dictionary of property:value pairs describing entitlements. | False |  | 
| Usage Measurements | False | True | False | None | A dictionary of property:value pairs describing usage measurements. | False |  | 
| Product Metrics | False | True | False | None | A dictionary of property:value pairs describing metrics for the product/. | False |  | 
| Version Identifier | False | True | False | None | Published agreement version identifier. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Link Agreement Items

## Description

Attach or detach an agreement to an element referenced in its definition. Agreement item can be an referenced element.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Description | False | True | False | None | Description of the contents of the agreement item. | False |  | 
| Agreement Item Id | False | True | False | None | A user specified agreement item identifier. | False |  | 
| Agreement Start | False | True | False | None | The start date of the agreement as an ISO 8601 string. | False |  | 
| Agreement End | False | True | False | None | The end date of the agreement as an ISO 8601 string. | False |  | 
| Restrictions | False | True | False | None | A dictionary of property:value pairs describing restrictions. | False |  | 
| Obligations | False | True | False | None | A dictionary of property:value pairs describing obligations. | False |  | 
| Entitlements | False | True | False | None | A dictionary of property:value pairs describing entitlements. | False |  | 
| Usage Measurements | False | True | False | None | A dictionary of property:value pairs describing usage measurements. | False |  | 
| Usage Metrics | False | True | False | None | A dictionary of property:value pairs describing usage metrics for the agreements. | False |  | 


___

# Create Term
## Term Name

Link Contracts

## Description

Attach or detach an agreement to an element describing the location of the contract documents.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Contract Id | False | True | False | None | Contract identifier. | False |  | 
| Contract Liaison | False | True | False | None | Name of the liaison for the contract. | False |  | 
| Contract Liaison Type | False | True | False | None | type of liaison. | False |  | 
| Contract Liaison Property Name | False | True | False | None |  | False |  | 


___

# Create Term
## Term Name

Link Subscribers

## Description

Attach or detach a subscriber to a subscription. Subscriber can be any type of element.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Subscriber Id | False | True | False | None |  identifier of a subscriber. Initially, will let this be an arbitrary string - could harden this to a qualified name later if needed. | False |  | 
| Agreement Start | False | True | False | None | The start date of the agreement as an ISO 8601 string. | False |  | 
| Agreement End | False | True | False | None | The end date of the agreement as an ISO 8601 string. | False |  | 
| Restrictions | False | True | False | None | A dictionary of property:value pairs describing restrictions. | False |  | 
| Obligations | False | True | False | None | A dictionary of property:value pairs describing obligations. | False |  | 
| Entitlements | False | True | False | None | A dictionary of property:value pairs describing entitlements. | False |  | 
| Usage Measurements | False | True | False | None | A dictionary of property:value pairs describing usage measurements. | False |  | 


___

# Create Term
## Term Name

Attach Collection->Resource

## Description

Connect an existing collection to an element using the ResourceList relationship.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Collection | True | True | False | None | An element of base type collection (e.g. collection, agreement; subscription, ...) | False |  | 
| Resource | True | True | False | None | The name of the resource to attach to. | False |  | 
| Resource Use | False | True | False | None | Describes the relationship between the resource and the collection. | False |  | 
| Resource Description | False | True | False | None | A description of the resource being attached. | False |  | 
| Resource Use Properties | False | True | False | None | A dictionary of name:value pairs describing properties of the resource use. | False |  | 


___

# Create Term
## Term Name

Add Member->Collection

## Description

Add a member to a collection.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Element_Id | True | True | False | None | The name of the element to add to the collection. | False |  | 
| Collection Id | True | True | False | None | The name of the collection to link to. There are many collection types, including Digital Products, Agreements and Subscriptions. | False |  | 
| Membership Rationale | False | True | False | None | Rationale for membership. | False |  | 
| Created By | False | True | False | None | Who added the member. (currently informal string) | False |  | 
| Membership Status | False | True | False | None | The status of adding a member to a collection. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE'; DEPRECATED; OTHER | 


___

# Create Term
## Term Name

Create Data Dictionary

## Description

A Data Dictionary is an organized and curated collection of data definitions that can serve as a reference for data professionals

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the Data Dictionary | False |  | 
| Description | False | True | False | None | A description of the Data Dictionary. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Data Specification

## Description

A Data Specification defines the data requirements for a project or initiative. This includes the data structures , data fields and data classes.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the Data Specification. | False |  | 
| Description | False | True | False | None | A description of the Data Specification. | False |  | 
| Collection Type | False | True | False | None | A user supplied collection type. | False |  | 
| Qualified Name | True | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Data Structure

## Description

A collection of data fields that for a data specification for a data source.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the data structure. | False |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 
| In Data Specification | False | True | False | None | The data specifications this structure is a member of. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Data Field

## Description

A data field is a fundamental building block for a data structure.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the Data Field | False |  | 
| Description | False | True | False | None | A description of the Data Field | False |  | 
| Data Type | True | True | False | None | The data type of the data field. Point to data type valid value list if exists. | False | string; int; long; date; boolean; char; byte; float; double; biginteger; bigdecimal; array<string>; array<int>; map<string,string>; map<string, boolean>; map<string, int>; map<string, long>; map<string,double>; map<string, date> map<string, object>; short; map<string, array<string>>; other | 
| Position | False | True | False | None | Position of the data field in the data structure. If 0, position is irrelevant. | False |  | 
| Minimum Cardinality | False | True | False | None | The minimum cardinality for a data element. | False |  | 
| Maximum Cardinality | False | True | False | None | The maximum cardinality for a data element. | False |  | 
| In Data Structure | False | True | False | None | The data structure this field is a member of. If display name is not unique, use qualified name. | False |  | 
| Data Class | False | True | False | None | The data class that values of this data field conform to. | False |  | 
| Glossary Term | False | True | False | None | Term that provides meaning to this field. | False |  | 
| isNullable | False | True | False | None | Can the values within the dataclass be absent? | False |  | 
| Minimum Length | False | True | False | None |  | False |  | 
| Length | False | True | False | None | The length of a value for a field. | False |  | 
| Precision | False | True | False | None | The precision of a numeric | False |  | 
| Ordered Values | False | True | False | None | is this field in an ordered list? | False |  | 
| Units | False | True | False | None | An optional string indicating the units of the field. | False |  | 
| Default Value | False | True | False | None | Specify a default value for the data class. | False |  | 
| Version Identifier | False | True | False | None | A user supplied version identifier. | False |  | 
| In Data Dictionary | False | True | False | None | What data dictionaries is this data field in? | False |  | 
| Parent Data Field | False | True | False | None | Optional parent field if this is a nested field. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Data Class

## Description

Describes the data values that may be stored in data fields. Can be used to configure quality validators and data field classifiers.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the data structure. | False |  | 
| Description | False | True | False | None | A description of the data class. | False |  | 
| Namespace | False | True | False | None | Optional namespace that scopes the field. | False |  | 
| Match Property Names | False | True | True | None | Names of the properties that are set. | False |  | 
| Match Threshold | False | True | False | None | Percent of values that must match the data class specification. | False |  | 
| IsCaseSensitive | False | True | False | None | Are field values case sensitive? | False |  | 
| Data Type | True | True | False | None | Data type for the data class. | False | string; int; long; date; boolean; char; byte; float; double; biginteger; bigdecimal; array<string>; array<int>; map<string,string>; map<string, boolean>; map<string, int>; map<string, long>; map<string,double>; map<string, date> map<string, object>; short; map<string, array<string>>; other | 
| Allow Duplicate Values | False | True | False | None | Allow duplicate values within the data class? | False |  | 
| isNullable | False | True | False | None | Can the values within the dataclass be absent? | False |  | 
| isCaseSensitive | False | True | False | None | Indicates if the values in a  data class are case sensitive. | False |  | 
| Default Value | False | True | False | None | Specify a default value for the data class. | False |  | 
| Average Value | False | True | False | None | Average value for the data class. | False |  | 
| Value List | False | True | False | None |  | False |  | 
| Value Range From | False | True | False | None | Beginning range of legal values. | False |  | 
| Value Range To | False | True | False | None | End of valid range for value. | False |  | 
| Sample Values | False | True | False | None | Sample values of the data class. | False |  | 
| Data Patterns | False | True | False | None | prescribed format of a data field - e.g. credit card numbers. Often expressed as a regular expression. | False |  | 
| In Data Dictionary | False | True | False | None | What data dictionaries is this data field in? | False |  | 
| Containing Data Class | False | True | False | None | Data classes this is part of. | False |  | 
| Specializes Data Class | False | True | False | None | Specializes a parent  data class. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

View Data Fields

## Description

Return the data fields, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; REPORT; MERMAID; DICT | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 


___

# Create Term
## Term Name

View Data Classes

## Description

Return the data classes, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; REPORT; MERMAID; DICT | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 


___

# Create Term
## Term Name

View Data Structures

## Description

Return the data structures, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | List; Form; Report; Dict | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 


___

# Create Term
## Term Name

View Data Specifications

## Description

Return the data specifications, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; DICT; MD; MERMAID; REPORT | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 


___

# Create Term
## Term Name

View Data Dictionaries

## Description

Return the data dictionaries, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; DICT; MD; MERMAID; REPORT | 
| Starts With | False | True | False | None | If true, look for matches with the search string starting from the beginning of  a field. | False |  | 
| Ends With | False | True | False | None | If true, look for matches with the search string starting from the end of  a field. | False |  | 
| Ignore Case | False | True | False | None | If true, ignore the difference between upper and lower characters when matching the search string. | False |  | 
| Page Size | False | True | False | None | The number of elements returned per page. | False |  | 
| Start From | False | True | False | None | When paging through results, the starting point of the results to return. | False |  | 
| AsOfTime | False | True | False | None | An ISO-8601 string representing the time to view the state of the repository. | False |  | 
| Sort Order | False | True | False | None | How to order the results. The sort order can be selected from a list of valid value. | False | ANY; CREATION_DATE_RECENT; CREATION_DATA_OLDEST; LAST_UPDATE_RECENT; LAST_UPDATE_OLDEST; PROPERTY_ASCENDING; PROPERTY_DESCENDING | 


___

# Create Term
## Term Name

Create Information Supply Chain

## Description

The flow of a particular type of data across a digital landscape.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the Information Supply Chain | False |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 
| Scope | False | True | False | None | Scope of the supply chain. | False |  | 
| Purposes | False | True | False | None | A list of purposes. | False |  | 
| Nested Information Supply Chains | False | True | False | None | A list of supply chains that compose this supply chain. | False |  | 
| In Information Supply Chain | False | True | False | None | Supply chains that this supply chain is in. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 
| Merge Update | False | True | False | None | If true, only those attributes specified in the update will be updated; If false, any attributes not provided during the update will be set to None. | False |  | 


___

# Create Term
## Term Name

Create Solution Blueprint

## Description

A solution blueprint describes the architecture of a digital service in terms of solution components.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the Information Supply Chain | False |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 
| Version Identifier | False | True | False | None | A user supplied version identifier. | False |  | 
| Solution Components | False | True | False | None | Solution components that make up the blueprint. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Solution Component

## Description

A reusable solution component.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Display Name | True | True | False | None | Name of the solution component. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 
| Solution Component Type | False | True | False | None | Type of solution component. | False |  | 
| Planned Deployed Implementation Type | False | True | False | None | The planned implementation type for deployment. | False |  | 
| Initial Status | False | True | False | None | Optional lifecycle status. If not specified, set to ACTIVE. If set to Other then the value in User Defined Status will be used. | False | DRAFT; PREPARED; PROPOSED; APPROVED; REJECTED; ACTIVE; DISABLED; DEPRECATED; OTHER | 
| In Solution Components | False | True | False | None | Solution components that include this one. | False |  | 
| In Solution Blueprints | False | True | False | None | Solution Blueprints that contain this component. | False |  | 
| In Information Supply Chains | False | True | False | None | The Information Supply Chains that this component is a member of. | False |  | 
| Actors | False | True | False | None | Actors associated with this component. | False |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 
| Merge Update | False | True | False | None | If true, only those attributes specified in the update will be updated; If false, any attributes not provided during the update will be set to None. | False |  | 


___

# Create Term
## Term Name

Link Solution Component Peers

## Description

This command can be used to link or unlink wires between components.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Component1 | True | True | False | None | The  first component to link. | False |  | 
| Component2 | True | True | False | None | The  second component to link. | False |  | 
| Wire Label | False | True | False | None | Labels the link between two components. | False |  | 
| Description | False | True | False | None | A description of the wire. | False |  | 


___

# Create Term
## Term Name

Create Solution Role

## Description

A collection of data fields that for a data specification for a data source.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Name | True | True | False | None | Name of the role. | False |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 
| Title | False | True | False | None | Title of the role. | False |  | 
| Scope | False | True | False | None | Scope of the role. | False |  | 
| identifier | False | True | False | None | role identifier | False |  | 
| Domain Identifier | False | True | False | None | Governance domain identifier | False |  | 
| Role Type | False | True | False | None | Type of the role.  Currently must be GovernanceRole. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Link Information Supply Chain Peers

## Description

This command can be used to link or unlink information supply chain segments.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Segment1 | True | True | False | None | The  first segment to link. | False |  | 
| Segment2 | True | True | False | None | The  second segment to link. | False |  | 
| Link Label | False | True | False | None | Labels the link between two information supply chain segments. | False |  | 
| Description | False | True | False | None | A description of the data structure. | False |  | 


___

# Create Term
## Term Name

View Information Supply Chains

## Description

Return information supply chains filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | LIST; FORM; MD; REPORT; MERMAID; LIST; DICT; HTML | 
| Detailed | False | True | False | None | If true a more detailed set of attributes will be returned. | False |  | 


___

# Create Term
## Term Name

View Solution Components

## Description

Return the data structure details, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | List; Form; Report; Dict | 
| Detailed | False | True | False | None | If true a more detailed set of attributes will be returned. | False |  | 


___

# Create Term
## Term Name

View Solution Blueprints

## Description

Return the data structure details, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | List; Form; Report; Dict | 
| Detailed | False | True | False | None | If true a more detailed set of attributes will be returned. | False |  | 


___

# Create Term
## Term Name

View Solution Roles

## Description

Return the data structure details, optionally filtered by the search string.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Search String | False | True | False | None | An optional search string to filter results by. | False |  | 
| Output Format | False | True | False | None | Optional specification of output format for the query. | False | List; Form; Report; Dict | 
| Detailed | False | True | False | None | If true a more detailed set of attributes will be returned. | False |  | 


___

# Create Term
## Term Name

Create Glossary

## Description

A grouping of definitions.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Glossary Name | True | True | False | None | The name of the glossary to create or update. | False |  | 
| Description | False | True | False | None | A description of the Glossary. | False |  | 
| Language | False | True | False | None | The language of the glossary. Note that multilingual descriptions are supported. Please see web site for details. | False |  | 
| Usage | False | True | False | None | A description of how the glossary is to be used. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Category

## Description

A group of terms that are useful to collect together.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Category Name | True | True | False | None | The name of a category. | False |  | 
| Description | False | True | False | None | A description of the Category. | False |  | 
| In Glossary | True | True | False | None | The name of the glossary that contains the Category. Recommend using the Qualified Name of the Glossary, if known. | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Create Term

## Description



## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Term Name | True | True | False | None | The name of the term to create or update. | False |  | 
| Summary | False | True | False | None | A summary description of the term. | False |  | 
| Description | False | True | False | None | A description of the term. | False |  | 
| Abbreviation | False | True | False | None | An abbreviation for the term. | False |  | 
| Example | False | True | False | None | An example of how the term is used. | False |  | 
| Usage | False | True | False | None | A description of how the term is to be used. | False |  | 
| Status | False | True | False | None | The lifecycle status of a term. | False | DRAFT; ACTIVE, DEPRECATED; OBSOLETE; OTHER | 
| Published Version Identifier | False | True | False | None |  | False |  | 
| Qualified Name | False | True | True | None | A unique qualified name for the element. Generated using the qualified name pattern  if not user specified. | True |  | 
| GUID | False | False | True | None | A system generated unique identifier. | True |  | 


___

# Create Term
## Term Name

Attach Category Parent

## Description

Attaches a parent category to a child category.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Category Name | True | True | False | None | The name of a category. | False |  | 
| Parent Category | True | True | False | None | The name of the parent category to attach to. | False |  | 


___

# Create Term
## Term Name

Attach Term-Term Relationship

## Description

Create a relationship between terms.

## Owning Glossary

Egeria-Markdown

## Categories

Writing Dr.Egeria Markdown

## Usage

| Attribute Name | Input Required | Read Only | Generated | Default Value | Notes | Unique Values | Valid Values | 
|-------------|-------------|-------------|-------------|-------------|-------------|-------------|-------------|
| Term  1 | True | True | False | None | The name of the first term term to connect. | False |  | 
| Term  2 | True | True | False | None | The name of the second term term to connect. | False |  | 
| Relationship | True | True | False | None | The type of relationship to connecting the two terms. | False | Synonym;  Translation;  PreferredTerm; TermISATYPEOFRelationship;  TermTYPEDBYRelationship;  Antonym; ReplacementTerm;  ValidValue; TermHASARelationship; RelatedTerm;   ISARelationship | 


___

